VTK: vtkOpenGLVertexBufferObject Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkOpenGLVertexBufferObject Class Reference

`#include <vtkOpenGLVertexBufferObject.h>`

Inheritance diagram for vtkOpenGLVertexBufferObject:
[legend]
Collaboration diagram for vtkOpenGLVertexBufferObject:
[legend]

## Public Types
typedef vtkOpenGLBufferObject | Superclass
using | ShiftScaleMethod = vtkPolyDataMapper::ShiftScaleMethodType
Public Types inherited from vtkOpenGLBufferObject
enum | ObjectType { ArrayBuffer , ElementArrayBuffer , TextureBuffer }
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkOpenGLVertexBufferObject * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | UploadDataArray (vtkDataArray *array)
void | AppendDataArray (vtkDataArray *array)
virtual vtkTimeStamp | GetUploadTime ()
virtual bool | GetCoordShiftAndScaleEnabled ()
virtual int | GetCoordShiftAndScaleMethod ()
virtual void | SetCoordShiftAndScaleMethod (int meth)
virtual void | SetShift (const std::vector< double > &shift)
virtual void | SetShift (double x, double y, double z)
virtual void | SetScale (const std::vector< double > &scale)
virtual void | SetScale (double x, double y, double z)
virtual const std::vector< double > & | GetShift ()
virtual const std::vector< double > & | GetScale ()
void | UpdateShiftScale (vtkDataArray *da)
void | SetDataType (int v)
virtual int | GetDataType ()
virtual unsigned int | GetDataTypeSize ()
virtual unsigned int | GetNumberOfTuples ()
virtual unsigned int | GetNumberOfComponents ()
virtual void | SetStride (unsigned int)
virtual unsigned int | GetStride ()
std::vector< float > & | GetPackedVBO ()
void | UploadVBO ()
void | SetCache (vtkOpenGLVertexBufferObjectCache *cache)
virtual void | SetCamera (vtkCamera *cam)
virtual void | SetProp3D (vtkProp3D *prop3d)
Public Member Functions inherited from vtkOpenGLBufferObject
vtkOpenGLBufferObject * | NewInstance () const
ObjectType | GetType () const
| Get the type of the buffer object. More...
void | SetType (ObjectType value)
| Set the type of the buffer object. More...
int | GetHandle () const
| Get the handle of the buffer object. More...
bool | IsReady () const
| Determine if the buffer object is ready to be used. More...
bool | GenerateBuffer (ObjectType type)
| Generate the opengl buffer for this Handle. More...
template<class T >
bool | Upload (const T &array, ObjectType type)
| Upload data to the buffer object. More...
template<class T >
bool | Upload (const T *array, size_t numElements, ObjectType type)
bool | Bind ()
| Bind the buffer object ready for rendering. More...
bool | Release ()
| Release the buffer. More...
void | ReleaseGraphicsResources ()
std::string | GetError () const
| Return a string describing errors. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkOpenGLVertexBufferObject * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkOpenGLVertexBufferObject * | SafeDownCast (vtkObjectBase *o)
static void | SetGlobalCoordShiftAndScaleEnabled (vtkTypeBool val)
static void | GlobalCoordShiftAndScaleEnabledOn ()
static void | GlobalCoordShiftAndScaleEnabledOff ()
static vtkTypeBool | GetGlobalCoordShiftAndScaleEnabled ()
Static Public Member Functions inherited from vtkOpenGLBufferObject
static vtkOpenGLBufferObject * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkOpenGLBufferObject * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Static Public Attributes
static constexpr int | DISABLE_SHIFT_SCALE = ShiftScaleMethod::DISABLE_SHIFT_SCALE
| These typed enums are available in class scope for convenience and backward compatibility. More...
static constexpr int | AUTO_SHIFT_SCALE = ShiftScaleMethod::AUTO_SHIFT_SCALE
| These typed enums are available in class scope for convenience and backward compatibility. More...
static constexpr int | ALWAYS_AUTO_SHIFT_SCALE = ShiftScaleMethod::ALWAYS_AUTO_SHIFT_SCALE
| These typed enums are available in class scope for convenience and backward compatibility. More...
static constexpr int | MANUAL_SHIFT_SCALE = ShiftScaleMethod::MANUAL_SHIFT_SCALE
| These typed enums are available in class scope for convenience and backward compatibility. More...
static constexpr int | AUTO_SHIFT = ShiftScaleMethod::AUTO_SHIFT
| These typed enums are available in class scope for convenience and backward compatibility. More...
static constexpr int | NEAR_PLANE_SHIFT_SCALE = ShiftScaleMethod::NEAR_PLANE_SHIFT_SCALE
| These typed enums are available in class scope for convenience and backward compatibility. More...
static constexpr int | FOCAL_POINT_SHIFT_SCALE = ShiftScaleMethod::FOCAL_POINT_SHIFT_SCALE
| These typed enums are available in class scope for convenience and backward compatibility. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkOpenGLVertexBufferObject ()
| ~vtkOpenGLVertexBufferObject () override
Protected Member Functions inherited from vtkOpenGLBufferObject
| vtkOpenGLBufferObject ()
| ~vtkOpenGLBufferObject () override
bool | UploadInternal (const void *buffer, size_t size, ObjectType objectType)
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
std::vector< float > | PackedVBO
vtkTimeStamp | UploadTime
unsigned int | Stride
unsigned int | NumberOfComponents
unsigned int | NumberOfTuples
int | DataType
unsigned int | DataTypeSize
int | CoordShiftAndScaleMethod
bool | CoordShiftAndScaleEnabled
std::vector< double > | Shift
std::vector< double > | Scale
vtkOpenGLVertexBufferObjectCache * | Cache
vtkWeakPointer< vtkCamera > | Camera
vtkWeakPointer< vtkProp3D > | Prop3D
Protected Attributes inherited from vtkOpenGLBufferObject
bool | Dirty
std::string | Error
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

Definition at line 31 of file vtkOpenGLVertexBufferObject.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkOpenGLBufferObject vtkOpenGLVertexBufferObject::Superclass

Definition at line 35 of file vtkOpenGLVertexBufferObject.h.

## ◆ ShiftScaleMethod

using vtkOpenGLVertexBufferObject::ShiftScaleMethod = vtkPolyDataMapper::ShiftScaleMethodType

Definition at line 50 of file vtkOpenGLVertexBufferObject.h.

## Constructor & Destructor Documentation

## ◆ vtkOpenGLVertexBufferObject()

vtkOpenGLVertexBufferObject::vtkOpenGLVertexBufferObject | ( |  | ) |
| protected

## ◆ ~vtkOpenGLVertexBufferObject()

vtkOpenGLVertexBufferObject::~vtkOpenGLVertexBufferObject | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkOpenGLVertexBufferObject* vtkOpenGLVertexBufferObject::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkOpenGLVertexBufferObject::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkOpenGLVertexBufferObject::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkOpenGLBufferObject.

## ◆ SafeDownCast()

static vtkOpenGLVertexBufferObject* vtkOpenGLVertexBufferObject::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkOpenGLVertexBufferObject::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Reimplemented from vtkOpenGLBufferObject.

## ◆ NewInstance()

vtkOpenGLVertexBufferObject* vtkOpenGLVertexBufferObject::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkOpenGLVertexBufferObject::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkOpenGLBufferObject.

## ◆ UploadDataArray()

void vtkOpenGLVertexBufferObject::UploadDataArray | ( | vtkDataArray * | array | ) |

## ◆ AppendDataArray()

void vtkOpenGLVertexBufferObject::AppendDataArray | ( | vtkDataArray * | array | ) |

## ◆ GetUploadTime()

virtual vtkTimeStamp vtkOpenGLVertexBufferObject::GetUploadTime | ( |  | ) |
| virtual

## ◆ GetCoordShiftAndScaleEnabled()

virtual bool vtkOpenGLVertexBufferObject::GetCoordShiftAndScaleEnabled | ( |  | ) |
| virtual

## ◆ GetCoordShiftAndScaleMethod()

virtual int vtkOpenGLVertexBufferObject::GetCoordShiftAndScaleMethod | ( |  | ) |
| virtual

## ◆ SetCoordShiftAndScaleMethod()

virtual void vtkOpenGLVertexBufferObject::SetCoordShiftAndScaleMethod | ( | int | meth | ) |
| virtual

## ◆ SetShift() [1/2]

virtual void vtkOpenGLVertexBufferObject::SetShift | ( | const std::vector< double > & | shift | ) |
| virtual

## ◆ SetShift() [2/2]

virtual void vtkOpenGLVertexBufferObject::SetShift | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| virtual

## ◆ SetScale() [1/2]

virtual void vtkOpenGLVertexBufferObject::SetScale | ( | const std::vector< double > & | scale | ) |
| virtual

## ◆ SetScale() [2/2]

virtual void vtkOpenGLVertexBufferObject::SetScale | ( | double | x,
|  | double | y,
|  | double | z
| ) |  |
| virtual

## ◆ GetShift()

virtual const std::vector<double>& vtkOpenGLVertexBufferObject::GetShift | ( |  | ) |
| virtual

## ◆ GetScale()

virtual const std::vector<double>& vtkOpenGLVertexBufferObject::GetScale | ( |  | ) |
| virtual

## ◆ UpdateShiftScale()

void vtkOpenGLVertexBufferObject::UpdateShiftScale | ( | vtkDataArray * | da | ) |

## ◆ SetGlobalCoordShiftAndScaleEnabled()

static void vtkOpenGLVertexBufferObject::SetGlobalCoordShiftAndScaleEnabled | ( | vtkTypeBool | val | ) |
| static

## ◆ GlobalCoordShiftAndScaleEnabledOn()

static void vtkOpenGLVertexBufferObject::GlobalCoordShiftAndScaleEnabledOn | ( |  | ) |
| inlinestatic

Definition at line 118 of file vtkOpenGLVertexBufferObject.h.

## ◆ GlobalCoordShiftAndScaleEnabledOff()

static void vtkOpenGLVertexBufferObject::GlobalCoordShiftAndScaleEnabledOff | ( |  | ) |
| inlinestatic

Definition at line 119 of file vtkOpenGLVertexBufferObject.h.

## ◆ GetGlobalCoordShiftAndScaleEnabled()

static vtkTypeBool vtkOpenGLVertexBufferObject::GetGlobalCoordShiftAndScaleEnabled | ( |  | ) |
| static

## ◆ SetDataType()

void vtkOpenGLVertexBufferObject::SetDataType | ( | int | v | ) |

## ◆ GetDataType()

virtual int vtkOpenGLVertexBufferObject::GetDataType | ( |  | ) |
| virtual

## ◆ GetDataTypeSize()

virtual unsigned int vtkOpenGLVertexBufferObject::GetDataTypeSize | ( |  | ) |
| virtual

## ◆ GetNumberOfTuples()

virtual unsigned int vtkOpenGLVertexBufferObject::GetNumberOfTuples | ( |  | ) |
| virtual

## ◆ GetNumberOfComponents()

virtual unsigned int vtkOpenGLVertexBufferObject::GetNumberOfComponents | ( |  | ) |
| virtual

## ◆ SetStride()

virtual void vtkOpenGLVertexBufferObject::SetStride | ( | unsigned int |  | ) |
| virtual

## ◆ GetStride()

virtual unsigned int vtkOpenGLVertexBufferObject::GetStride | ( |  | ) |
| virtual

## ◆ GetPackedVBO()

std::vector<float>& vtkOpenGLVertexBufferObject::GetPackedVBO | ( |  | ) |
| inline

Definition at line 141 of file vtkOpenGLVertexBufferObject.h.

## ◆ UploadVBO()

void vtkOpenGLVertexBufferObject::UploadVBO | ( |  | ) |

## ◆ SetCache()

void vtkOpenGLVertexBufferObject::SetCache | ( | vtkOpenGLVertexBufferObjectCache * | cache | ) |

## ◆ SetCamera()

virtual void vtkOpenGLVertexBufferObject::SetCamera | ( | vtkCamera * | cam | ) |
| virtual

## ◆ SetProp3D()

virtual void vtkOpenGLVertexBufferObject::SetProp3D | ( | vtkProp3D * | prop3d | ) |
| virtual

## Member Data Documentation

## ◆ DISABLE_SHIFT_SCALE

constexpr int vtkOpenGLVertexBufferObject::DISABLE_SHIFT_SCALE = ShiftScaleMethod::DISABLE_SHIFT_SCALE
| staticconstexpr

These typed enums are available in class scope for convenience and backward compatibility.

Definition at line 56 of file vtkOpenGLVertexBufferObject.h.

## ◆ AUTO_SHIFT_SCALE

constexpr int vtkOpenGLVertexBufferObject::AUTO_SHIFT_SCALE = ShiftScaleMethod::AUTO_SHIFT_SCALE
| staticconstexpr

These typed enums are available in class scope for convenience and backward compatibility.

Definition at line 57 of file vtkOpenGLVertexBufferObject.h.

## ◆ ALWAYS_AUTO_SHIFT_SCALE

constexpr int vtkOpenGLVertexBufferObject::ALWAYS_AUTO_SHIFT_SCALE = ShiftScaleMethod::ALWAYS_AUTO_SHIFT_SCALE
| staticconstexpr

These typed enums are available in class scope for convenience and backward compatibility.

Definition at line 58 of file vtkOpenGLVertexBufferObject.h.

## ◆ MANUAL_SHIFT_SCALE

constexpr int vtkOpenGLVertexBufferObject::MANUAL_SHIFT_SCALE = ShiftScaleMethod::MANUAL_SHIFT_SCALE
| staticconstexpr

These typed enums are available in class scope for convenience and backward compatibility.

Definition at line 59 of file vtkOpenGLVertexBufferObject.h.

## ◆ AUTO_SHIFT

constexpr int vtkOpenGLVertexBufferObject::AUTO_SHIFT = ShiftScaleMethod::AUTO_SHIFT
| staticconstexpr

These typed enums are available in class scope for convenience and backward compatibility.

Definition at line 60 of file vtkOpenGLVertexBufferObject.h.

## ◆ NEAR_PLANE_SHIFT_SCALE

constexpr int vtkOpenGLVertexBufferObject::NEAR_PLANE_SHIFT_SCALE = ShiftScaleMethod::NEAR_PLANE_SHIFT_SCALE
| staticconstexpr

These typed enums are available in class scope for convenience and backward compatibility.

Definition at line 61 of file vtkOpenGLVertexBufferObject.h.

## ◆ FOCAL_POINT_SHIFT_SCALE

constexpr int vtkOpenGLVertexBufferObject::FOCAL_POINT_SHIFT_SCALE = ShiftScaleMethod::FOCAL_POINT_SHIFT_SCALE
| staticconstexpr

These typed enums are available in class scope for convenience and backward compatibility.

Definition at line 62 of file vtkOpenGLVertexBufferObject.h.

## ◆ PackedVBO

std::vector<float> vtkOpenGLVertexBufferObject::PackedVBO
| protected

Definition at line 158 of file vtkOpenGLVertexBufferObject.h.

## ◆ UploadTime

vtkTimeStamp vtkOpenGLVertexBufferObject::UploadTime
| protected

Definition at line 160 of file vtkOpenGLVertexBufferObject.h.

## ◆ Stride

unsigned int vtkOpenGLVertexBufferObject::Stride
| protected

Definition at line 162 of file vtkOpenGLVertexBufferObject.h.

## ◆ NumberOfComponents

unsigned int vtkOpenGLVertexBufferObject::NumberOfComponents
| protected

Definition at line 163 of file vtkOpenGLVertexBufferObject.h.

## ◆ NumberOfTuples

unsigned int vtkOpenGLVertexBufferObject::NumberOfTuples
| protected

Definition at line 164 of file vtkOpenGLVertexBufferObject.h.

## ◆ DataType

int vtkOpenGLVertexBufferObject::DataType
| protected

Definition at line 165 of file vtkOpenGLVertexBufferObject.h.

## ◆ DataTypeSize

unsigned int vtkOpenGLVertexBufferObject::DataTypeSize
| protected

Definition at line 166 of file vtkOpenGLVertexBufferObject.h.

## ◆ CoordShiftAndScaleMethod

int vtkOpenGLVertexBufferObject::CoordShiftAndScaleMethod
| protected

Definition at line 168 of file vtkOpenGLVertexBufferObject.h.

## ◆ CoordShiftAndScaleEnabled

bool vtkOpenGLVertexBufferObject::CoordShiftAndScaleEnabled
| protected

Definition at line 169 of file vtkOpenGLVertexBufferObject.h.

## ◆ Shift

std::vector<double> vtkOpenGLVertexBufferObject::Shift
| protected

Definition at line 170 of file vtkOpenGLVertexBufferObject.h.

## ◆ Scale

std::vector<double> vtkOpenGLVertexBufferObject::Scale
| protected

Definition at line 171 of file vtkOpenGLVertexBufferObject.h.

## ◆ Cache

vtkOpenGLVertexBufferObjectCache* vtkOpenGLVertexBufferObject::Cache
| protected

Definition at line 173 of file vtkOpenGLVertexBufferObject.h.

## ◆ Camera

vtkWeakPointer<vtkCamera> vtkOpenGLVertexBufferObject::Camera
| protected

Definition at line 175 of file vtkOpenGLVertexBufferObject.h.

## ◆ Prop3D

vtkWeakPointer<vtkProp3D> vtkOpenGLVertexBufferObject::Prop3D
| protected

Definition at line 176 of file vtkOpenGLVertexBufferObject.h.

The documentation for this class was generated from the following file:

- Rendering/OpenGL2/vtkOpenGLVertexBufferObject.h